cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
384
Views
10
Helpful
5
Replies
Highlighted
Beginner

ASA 5540 image download

I am having cisco ASA 5540 firewall with running version 8.2(5). This is very old version and i want to upgrade to version 9.1(X). I have checked path which is 8.2(X) -> 9.0(4) -> 9.1(X).

 

But this device is EOS and no image version available on cisco site to download. Can anybody tell me how I can get correct cisco image to download and upgrade the asa 5540 firewall.

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
VIP Expert

Sure we consider and appreciated your approach as long as it working environment. since 8.2 to (8.4) 9.x - big changes in NAT and other stuff, it may break live setup.

If you get a chance to replace it with new hardware that supports the latest version and cutover is a good idea.

 



BB


*** Rate All Helpful Responses ***

View solution in original post

5 REPLIES 5
Highlighted
VIP Expert

bare in mind lot syntax change, from 8.2 to 9.0, things may break in different way.

 

my suggestion is 8.2 --8.4 . 9.X --9.1 is the best approach - make sure each stage test and take the backup configuration different version.

 

you can still download required version from softwre site, make sure you have contract or enough rights  to download.

 

https://software.cisco.com/download/home/280582808/type/280775065/release/9.1.7%20Interim

 



BB


*** Rate All Helpful Responses ***

Highlighted

Thank You Balaji for suggestion and download link. But here it is not showing 8.x release version.

Highlighted
VIP Expert

i looked at again the document (moved from 8.X almost 6+years), i believe you can go to 9.X

 

https://www.cisco.com/c/en/us/td/docs/security/asa/upgrade/asa-upgrade/planning.html



BB


*** Rate All Helpful Responses ***

Highlighted
Beginner

One can try upgrade with given version on cisco site but I have decided to not upgrade. I guess there will be lot of changes in configuration which can create issue and also I can not go to cisco for any support in case any criticality duo to EOS device model.

Highlighted
VIP Expert

Sure we consider and appreciated your approach as long as it working environment. since 8.2 to (8.4) 9.x - big changes in NAT and other stuff, it may break live setup.

If you get a chance to replace it with new hardware that supports the latest version and cutover is a good idea.

 



BB


*** Rate All Helpful Responses ***

View solution in original post

Content for Community-Ad

This widget could not be displayed.